Bug 108711 - CAN-2003-0900 Perl bad random number seeding
Summary: CAN-2003-0900 Perl bad random number seeding
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-31 14:15 UTC by Mark J. Cox
Modified: 2014-01-21 22:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-07 09:11:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2003-10-31 14:15:18 UTC
Perl 5.8.1 (only) has bad random number initialisation when
forking leading to predictive random numbers, which is bad
for mod_perl and other things. 

Only affects Fedora Core as we haven't shipped 5.8.1 in other distributions.

Comment 1 Chip Turner 2003-10-31 14:41:40 UTC
the 5.8.1 in fedora core 1 is patched against this

perl -le 'fork; print rand'

prints different numbers in fedora, but not stock 5.8.1


Comment 2 Seth Vidal 2003-11-07 06:58:38 UTC
Triage->Close
Looks like it is patched in FC1 and does not affect other releases.


Comment 3 Mark J. Cox 2003-11-07 09:11:55 UTC
agreed


Note You need to log in before you can comment on or make changes to this bug.